.designer-login .theme-section__wrapper {
    min-height: calc( 100vh - 80px ) !important;
}

.shortcode-form.login-form {
    gap: 1em;

    .form-content {

        .forgot-password {
            padding-top: 0.5em;
        }
    }

    .form-violator {
        font-size: 0.8125rem;
        font-style: normal;
        padding-top: 1.5em;
        text-align: center;
    }
}

form.designer-registration {

    fieldset {
        h2 {
            padding-bottom: 0;
            text-align: left !important;
        }
    
        h2::after {
            all: unset;
        }

        p {
            font-style: italic;
        }

        label {
            color: #333;
            font-family: 'BodyFont', sans-serif;
            font-size: 0.8125rem;
            letter-spacing: unset;
        }
    }

    fieldset.checkbox-fieldset {
        gap: 0.6em;

        label {
            font-size: 0.8125rem;
        }

        input[type="checkbox"] {
            aspect-ratio: 1;
        }
    }

    .form-heading {
        padding-bottom: 1em;
    }
    
    .form-content {
        position: relative;

        .validation-message {
            color: red;
            font-size: 0.8rem;
            margin-top: 0.35em;
        }
    }

    .form-content-checkbox {
        align-items: center;
    }

    .checkbox-fieldset.terms-conditions {
        margin-top: -1em;

        .form-content-checkbox {
            flex-flow: row wrap;
            gap: 0.25em;
            
            .form-content-checkbox__wrapper {
                align-items: start;
                display: flex;
                gap: 0.85em;
            }

            input {
                aspect-ratio: 1;
                margin-top: 0.15em;
            }

            .validation-message {
                color: red;
                font-size: 0.8rem;
                margin-top: 0.35em;
            }
        }
    }
}

.input--disabled {
    opacity: 0.5;
    pointer-events: none;
}